Tenant credential
curl --request GET 'https://api.printools.io/v1/garments/11111111-2222-3333-4444-555555555555' \
--header 'X-API-Key: $PRINTOOLS_API_KEY'import requests
url = "https://api.printools.io/v1/garments/{garmentId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.printools.io/v1/garments/{garmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "OK",
"data": {
"id": "<string>",
"styleCode": "<string>",
"styleName": "<string>",
"source": "manual",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supplier": "<string>",
"brand": "<string>",
"category": "<string>",
"description": "<string>",
"composition": "<string>",
"fabric": "<string>",
"boxQty": 123,
"unitPrice": 123,
"status": "on_hand",
"externalId": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"vendorId": "<string>",
"vendor": {
"id": "<string>",
"name": "<string>",
"kind": "InventorySupplier",
"serviceTypes": [
"ScreenPrint"
],
"isActive": true,
"isManaged": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contacts": [
{
"id": "<string>",
"vendorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>"
}
],
"addresses": [
{
"id": "<string>",
"vendorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"country": "<string>"
}
],
"logoUrl": "<string>",
"ordersWebsite": "<string>",
"accountNumber": "<string>",
"defaultLeadTimeDays": 123,
"minimumOrder": 123,
"proximityNotes": "<string>",
"notes": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}Garments & catalogue
One garment
Requires the scope garments.read.
GET
/
v1
/
garments
/
{garmentId}
Tenant credential
Required scopes:
garments.read.Authorizations
tenantApiKeypartnerApiKey & partnerApiSecret & partnerBearer
Tenant credential. This is sufficient by itself.
Headers
Tenant credential: optional and, when sent, must equal the shop bound to the key. Partner credential: required; it selects an organisation the user previously authorised.
Path Parameters
UUID.
Example:
"11111111-2222-3333-4444-555555555555"
Was this page helpful?

